TABULATE(1)

NAME
tabulate - a pretty text data tabulator that minimises the width of tables.

SYNOPSIS
tabulate <options> [input-files]

DESCRIPTION
This UNIX filter reads from either files or standard input, formats the tab-separated text data into pretty, minimal width, space padded tables, and prints to standard output. Various options change the behaviour.

This script is based on, and is part of, the Perl Text::Tabulate module.

OPTIONS

-s|--stanza
    Treat each paragraph as a individual table.

-h|--html
    Format each table as HTML.

-t|--tab <tab>
    Set the tab string. See module configuation options.

-p|--pad <pad>
    Set the pad character. See module configuation options.

-g|--gutter <gutter>
    Set the gutter string. See module configuation options.

-I|--Ignore <reg-ex>
    Ignore lines that match this regular expression. See module configuation options.

-a|--adjust <string>
    Justify columns according to this string. See module configuation options.

-T|--top <string>
    Set the top border characters. See module configuation options.

-B|--top <string>
    Set the bottom border characters. See module configuation options.

-l|--left <string>
    Set the left border string. See module configuation options.

-r|--right <string>
    Set the right border string. See module configuation options.

-c|--cf <number>
    This specifies if repeated values in the first few fields should be replaced by the empty string. See module configuation options.

-d|--ditto <number>
    This specified the string that replaces common values (see cf above). See module configuation options.

Most of these options correspond to the configuration options of the module Text::Tabulate.

SEE ALSO
See also Perl module Text::Tabulate

VERSION
This is version 1.0 of Text::Tabulate, released 1 July 2007.

COPYRIGHT
Copyright (c) 1998-2007 Anthony Fletcher. All rights reserved. This script is free software; you can redistribute them and/or modify them under the same terms as Perl itself.

This code is supplied as-is - use at your own risk.